import knex from 'knex';
import config from '../../db/knexfile.js';

export const testDb = knex(config.test);

beforeAll(async () => {
  // Rollback all migrations first to ensure a clean state
  await testDb.migrate.rollback();
  // Run migrations
  await testDb.migrate.latest();
});

afterAll(async () => {
  // Close the database connection
  await testDb.destroy();
});